## 内置功能

1.  用户管理：用户是系统操作者，该功能主要完成系统用户配置。
2.  部门管理：配置系统组织机构（公司、部门、小组），树结构展现支持数据权限。
3.  岗位管理：配置系统用户所属担任职务。
4.  菜单管理：配置系统菜单，操作权限，按钮权限标识等。
5.  角色管理：角色菜单权限分配、设置角色按机构进行数据范围权限划分。
6.  字典管理：对系统中经常使用的一些较为固定的数据进行维护。
7.  参数管理：对系统动态配置常用参数。
8.  通知公告：系统通知公告信息发布维护。
9.  操作日志：系统正常操作日志记录和查询；系统异常信息日志记录和查询。
10. 登录日志：系统登录日志记录查询包含登录异常。
11. 在线用户：当前系统中活跃用户状态监控。
12. 定时任务：在线（添加、修改、删除)任务调度包含执行结果日志。
13. 代码生成：前后端代码的生成（java、html、xml、sql）支持CRUD下载 。
14. 系统接口：根据业务代码自动生成相关的api接口文档。
15. 服务监控：监视当前系统CPU、内存、磁盘、堆栈等相关信息。
16. 在线构建器：拖动表单元素生成相应的HTML代码。
17. 连接池监视：监视当前系统数据库连接池状态，可进行分析SQL找出系统性能瓶颈。

## 框架搭建
1. 准备工作
1.1 前置环境准备——安装Maven
    基于Maven管理项目的构建，需要先安装好相应的版本。
1.2 开发工具
    建议使用IDEA
1.3 JDK
    jdk1.8+
1.4 数据库
    Mysql 5.6+

2.运行系统
2.1 修改数据库连接
    编辑src/main/ resources目录下的application-druid.yml 文件，修改数据库地址账号信息。
    执行sql/ Leisp_20180423.sql，quartz.sql 两个文件 日期随版本变化
2.2 开发环境配置
    编辑src/main/ resources目录下的application.yml 文件，
    默认端口为80
2.3 系统启动
    运行 LeispApplication 
    启动成功显示：
   _____  ____   ____  _  __                 _____ _____  
  / ____|/ __ \ / __ \| |/ /    /\    ___   / ____|  __ \ 
 | (___ | |  | | |  | | ' /    /  \  ( _ ) | (___ | |__) |
  \___ \| |  | | |  | |  <    / /\ \ / _ \/\\___ \|  ___/ 
  ____) | |__| | |__| | . \  / ____ \ (_>  <____) | |     
 |_____/ \____/ \____/|_|\_\/_/    \_\___/\/_____/|_|     
   
3. 文件结构
com.sooka     
├── common            // 工具类
│       └── annotation                    // 自定义注解
│       └── config                        // 全局配置
│       └── constant                      // 通用常量
│       └── core                          // 核心控制
│       └── enums                         // 通用枚举
│       └── exception                     // 通用异常
│       └── json                          // JSON数据处理
│       └── utils                         // 通用类处理
│       └── xss                           // XSS过滤处理
├── framework         // 框架核心
│       └── aspectj                       // 注解实现
│       └── config                        // 系统配置
│       └── datasource                    // 数据权限
│       └── interceptor                   // 拦截器
│       └── manager                       // 异步处理
│       └── shiro                         // 权限控制
│       └── util                          // 通用工具
│       └── web                           // 前端控制
├── leiSP-generator   // 代码生成（可移除）
├── leiSP-quartz      // 定时任务（可移除）
├── leiSP-system      // 系统代码
├── leiSP-admin       // 后台服务
├── xxxxxx      // 其他模块

4. 配置文件
通用配置 application.yml
数据源配置 application-druid.yml
代码生成配置 generator.yml