package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TGuijiLibraryBaseinfo;

/**
 * 人员基本信息Mapper接口
 * 
 * @author lei
 * @date 2021-10-20
 */
public interface TGuijiLibraryBaseinfoMapper 
{
    /**
     * 查询人员基本信息
     * 
     * @param id 人员基本信息ID
     * @return 人员基本信息
     */
    public TGuijiLibraryBaseinfo selectTGuijiLibraryBaseinfoById(String id);

    /**
     * 查询人员基本信息列表
     * 
     * @param tGuijiLibraryBaseinfo 人员基本信息
     * @return 人员基本信息集合
     */
    public List<TGuijiLibraryBaseinfo> selectTGuijiLibraryBaseinfoList(TGuijiLibraryBaseinfo tGuijiLibraryBaseinfo);

    /**
     * 新增人员基本信息
     * 
     * @param tGuijiLibraryBaseinfo 人员基本信息
     * @return 结果
     */
    public int insertTGuijiLibraryBaseinfo(TGuijiLibraryBaseinfo tGuijiLibraryBaseinfo);

    /**
     * 修改人员基本信息
     * 
     * @param tGuijiLibraryBaseinfo 人员基本信息
     * @return 结果
     */
    public int updateTGuijiLibraryBaseinfo(TGuijiLibraryBaseinfo tGuijiLibraryBaseinfo);

    /**
     * 删除人员基本信息
     * 
     * @param id 人员基本信息ID
     * @return 结果
     */
    public int deleteTGuijiLibraryBaseinfoById(String id);

    /**
     * 批量删除人员基本信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiLibraryBaseinfoByIds(String[] ids);
}
