package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TGuijiLibraryCreditpoints;

/**
 * 信用积分Mapper接口
 * 
 * @author lei
 * @date 2021-10-20
 */
public interface TGuijiLibraryCreditpointsMapper 
{
    /**
     * 查询信用积分
     * 
     * @param id 信用积分ID
     * @return 信用积分
     */
    public TGuijiLibraryCreditpoints selectTGuijiLibraryCreditpointsById(String id);

    /**
     * 查询信用积分列表
     * 
     * @param tGuijiLibraryCreditpoints 信用积分
     * @return 信用积分集合
     */
    public List<TGuijiLibraryCreditpoints> selectTGuijiLibraryCreditpointsList(TGuijiLibraryCreditpoints tGuijiLibraryCreditpoints);

    /**
     * 新增信用积分
     * 
     * @param tGuijiLibraryCreditpoints 信用积分
     * @return 结果
     */
    public int insertTGuijiLibraryCreditpoints(TGuijiLibraryCreditpoints tGuijiLibraryCreditpoints);

    /**
     * 修改信用积分
     * 
     * @param tGuijiLibraryCreditpoints 信用积分
     * @return 结果
     */
    public int updateTGuijiLibraryCreditpoints(TGuijiLibraryCreditpoints tGuijiLibraryCreditpoints);

    /**
     * 删除信用积分
     * 
     * @param id 信用积分ID
     * @return 结果
     */
    public int deleteTGuijiLibraryCreditpointsById(String id);

    /**
     * 批量删除信用积分
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiLibraryCreditpointsByIds(String[] ids);
}
