package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TGuijiLibraryBorrow;

/**
 * 借书Service接口
 * 
 * @author lei
 * @date 2021-10-20
 */
public interface ITGuijiLibraryBorrowService 
{
    /**
     * 查询借书
     * 
     * @param id 借书ID
     * @return 借书
     */
    public TGuijiLibraryBorrow selectTGuijiLibraryBorrowById(String id);

    /**
     * 查询借书列表
     * 
     * @param tGuijiLibraryBorrow 借书
     * @return 借书集合
     */
    public List<TGuijiLibraryBorrow> selectTGuijiLibraryBorrowList(TGuijiLibraryBorrow tGuijiLibraryBorrow);

    /**
     * 新增借书
     * 
     * @param tGuijiLibraryBorrow 借书
     * @return 结果
     */
    public int insertTGuijiLibraryBorrow(TGuijiLibraryBorrow tGuijiLibraryBorrow);

    /**
     * 修改借书
     * 
     * @param tGuijiLibraryBorrow 借书
     * @return 结果
     */
    public int updateTGuijiLibraryBorrow(TGuijiLibraryBorrow tGuijiLibraryBorrow);

    /**
     * 批量删除借书
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiLibraryBorrowByIds(String ids);

    /**
     * 删除借书信息
     * 
     * @param id 借书ID
     * @return 结果
     */
    public int deleteTGuijiLibraryBorrowById(String id);
}
