package com.sooka.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TGuijiHousingconstructionYhjbxxMapper;
import com.sooka.system.domain.TGuijiHousingconstructionYhjbxx;
import com.sooka.system.service.ITGuijiHousingconstructionYhjbxxService;
import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;

import javax.annotation.Resource;


/**
 * 自来水人员基本信息Service业务层处理
 * 
 * @author lei
 * @date 2021-10-27
 */
@Service
public class TGuijiHousingconstructionYhjbxxServiceImpl implements ITGuijiHousingconstructionYhjbxxService 
{
    @Resource
    private TGuijiHousingconstructionYhjbxxMapper tGuijiHousingconstructionYhjbxxMapper;

    /**
     * 查询自来水人员基本信息
     * 
     * @param id 自来水人员基本信息ID
     * @return 自来水人员基本信息
     */
    @Override
    public TGuijiHousingconstructionYhjbxx selectTGuijiHousingconstructionYhjbxxById(String id)
    {
        return tGuijiHousingconstructionYhjbxxMapper.selectTGuijiHousingconstructionYhjbxxById(id);
    }

    /**
     * 查询自来水人员基本信息列表
     * 
     * @param tGuijiHousingconstructionYhjbxx 自来水人员基本信息
     * @return 自来水人员基本信息
     */
    @Override
    public List<TGuijiHousingconstructionYhjbxx> selectTGuijiHousingconstructionYhjbxxList(TGuijiHousingconstructionYhjbxx tGuijiHousingconstructionYhjbxx)
    {
        return tGuijiHousingconstructionYhjbxxMapper.selectTGuijiHousingconstructionYhjbxxList(tGuijiHousingconstructionYhjbxx);
    }

    /**
     * 新增自来水人员基本信息
     * 
     * @param tGuijiHousingconstructionYhjbxx 自来水人员基本信息
     * @return 结果
     */
    @Override
    public int insertTGuijiHousingconstructionYhjbxx(TGuijiHousingconstructionYhjbxx tGuijiHousingconstructionYhjbxx)
    {
        tGuijiHousingconstructionYhjbxx.setCreateTime(DateUtils.getNowDate());
        return tGuijiHousingconstructionYhjbxxMapper.insertTGuijiHousingconstructionYhjbxx(tGuijiHousingconstructionYhjbxx);
    }

    /**
     * 修改自来水人员基本信息
     * 
     * @param tGuijiHousingconstructionYhjbxx 自来水人员基本信息
     * @return 结果
     */
    @Override
    public int updateTGuijiHousingconstructionYhjbxx(TGuijiHousingconstructionYhjbxx tGuijiHousingconstructionYhjbxx)
    {
        return tGuijiHousingconstructionYhjbxxMapper.updateTGuijiHousingconstructionYhjbxx(tGuijiHousingconstructionYhjbxx);
    }

    /**
     * 删除自来水人员基本信息对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionYhjbxxByIds(String ids)
    {
        return tGuijiHousingconstructionYhjbxxMapper.deleteTGuijiHousingconstructionYhjbxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除自来水人员基本信息信息
     * 
     * @param id 自来水人员基本信息ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiHousingconstructionYhjbxxById(String id)
    {
        return tGuijiHousingconstructionYhjbxxMapper.deleteTGuijiHousingconstructionYhjbxxById(id);
    }
}
