package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TGuijiLibraryBaseinfoMapper;
import com.sooka.system.domain.TGuijiLibraryBaseinfo;
import com.sooka.system.service.ITGuijiLibraryBaseinfoService;

import javax.annotation.Resource;


/**
 * 人员基本信息Service业务层处理
 *
 * @author lei
 * @date 2021-10-20
 */
@Service
public class TGuijiLibraryBaseinfoServiceImpl implements ITGuijiLibraryBaseinfoService
{
    @Resource
    private TGuijiLibraryBaseinfoMapper tGuijiLibraryBaseinfoMapper;

    /**
     * 查询人员基本信息
     *
     * @param id 人员基本信息ID
     * @return 人员基本信息
     */
    @Override
    public TGuijiLibraryBaseinfo selectTGuijiLibraryBaseinfoById(String id)
    {
        return tGuijiLibraryBaseinfoMapper.selectTGuijiLibraryBaseinfoById(id);
    }

    /**
     * 查询人员基本信息列表
     *
     * @param tGuijiLibraryBaseinfo 人员基本信息
     * @return 人员基本信息
     */
    @Override
    public List<TGuijiLibraryBaseinfo> selectTGuijiLibraryBaseinfoList(TGuijiLibraryBaseinfo tGuijiLibraryBaseinfo)
    {
        return tGuijiLibraryBaseinfoMapper.selectTGuijiLibraryBaseinfoList(tGuijiLibraryBaseinfo);
    }

    /**
     * 新增人员基本信息
     *
     * @param tGuijiLibraryBaseinfo 人员基本信息
     * @return 结果
     */
    @Override
    public int insertTGuijiLibraryBaseinfo(TGuijiLibraryBaseinfo tGuijiLibraryBaseinfo)
    {
        tGuijiLibraryBaseinfo.setCreateTime(DateUtils.getNowDate());
        return tGuijiLibraryBaseinfoMapper.insertTGuijiLibraryBaseinfo(tGuijiLibraryBaseinfo);
    }

    /**
     * 修改人员基本信息
     *
     * @param tGuijiLibraryBaseinfo 人员基本信息
     * @return 结果
     */
    @Override
    public int updateTGuijiLibraryBaseinfo(TGuijiLibraryBaseinfo tGuijiLibraryBaseinfo)
    {
        return tGuijiLibraryBaseinfoMapper.updateTGuijiLibraryBaseinfo(tGuijiLibraryBaseinfo);
    }

    /**
     * 删除人员基本信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiLibraryBaseinfoByIds(String ids)
    {
        return tGuijiLibraryBaseinfoMapper.deleteTGuijiLibraryBaseinfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除人员基本信息信息
     *
     * @param id 人员基本信息ID
     * @return 结果
     */
    @Override
    public int deleteTGuijiLibraryBaseinfoById(String id)
    {
        return tGuijiLibraryBaseinfoMapper.deleteTGuijiLibraryBaseinfoById(id);
    }
}
